Name "Algobox"
OutFile "algoboxwin32_install.exe"

Icon "install.ico"
UninstallIcon "uninstall.ico"

LicenseText "Vous devez accepter la licence pour continuer."
LicenseData "license.txt"


DirText "Dossier d'installation d'Algobox"

InstallDir "$PROGRAMFILES\Algobox"

Section "Install"
  SetOutPath $INSTDIR
  File "AlgoBoxWin32Sys\algobox.exe"
  File "AlgoBoxWin32Sys\algobox.ico"
  File "AlgoBoxWin32Sys\mingwm10.dll"
  File "AlgoBoxWin32Sys\libgcc_s_dw2-1.dll"
  File "AlgoBoxWin32Sys\QtCore4.dll"
  File "AlgoBoxWin32Sys\QtGui4.dll"
  File "AlgoBoxWin32Sys\QtNetwork4.dll"
  File "AlgoBoxWin32Sys\QtWebKit4.dll"
  File "AlgoBoxWin32Sys\QtXml4.dll"
  File "AlgoBoxWin32Sys\QtXmlPatterns4.dll"
  File "AlgoBoxWin32Sys\phonon4.dll"
  File "AlgoBoxWin32Sys\libstdc++-6.dll"
  SetOutPath "$INSTDIR\ressources"
  File "AlgoBoxWin32Sys\ressources\qt_fr.qm"
  File "AlgoBoxWin32Sys\ressources\eleve_calcul_recurrent.alg"
  File "AlgoBoxWin32Sys\ressources\eleve_distance_sur_un_axe.alg"
  File "AlgoBoxWin32Sys\ressources\eleve_que_fait_lalgo.alg"
  File "AlgoBoxWin32Sys\ressources\eleve_simplification_calculs_enchaines.alg"
  File "AlgoBoxWin32Sys\ressources\eleve_simul_lancers_de.alg"
  File "AlgoBoxWin32Sys\ressources\prof_babylone.alg"
  File "AlgoBoxWin32Sys\ressources\prof_balayage_fonctions.alg"
  File "AlgoBoxWin32Sys\ressources\prof_courbe_fonction.alg"
  File "AlgoBoxWin32Sys\ressources\prof_decomp_facteurspremiers.alg"
  File "AlgoBoxWin32Sys\ressources\prof_dichotomie.alg"
  File "AlgoBoxWin32Sys\ressources\prof_ductoscane.alg"
  File "AlgoBoxWin32Sys\ressources\prof_euler.alg"
  File "AlgoBoxWin32Sys\ressources\prof_integrale_trapezes.alg"
  File "AlgoBoxWin32Sys\ressources\prof_montecarlo.alg"
  File "AlgoBoxWin32Sys\ressources\prof_pgcd_euclide.alg"
  File "AlgoBoxWin32Sys\ressources\prof_somme_entiers.alg"
  File "AlgoBoxWin32Sys\ressources\prof_suite_syracuse.alg"
  File "AlgoBoxWin32Sys\ressources\prof_tri_abulle.alg"
  File "AlgoBoxWin32Sys\ressources\prof_pgcd_recursif.alg"
  File "AlgoBoxWin32Sys\ressources\aidealgobox.html"
  File "AlgoBoxWin32Sys\ressources\AUTHORS"
  File "AlgoBoxWin32Sys\ressources\COPYING"
  File "AlgoBoxWin32Sys\ressources\CHANGELOG.txt"
  WriteRegStr HKCR ".alg" "" "algobox.doc"
  WriteRegStr HKCR "algobox.doc" "" "Document AlgoBox"
  WriteRegStr HKCR "algobox.doc\DefaultIcon" "" "$INSTDIR\algobox.ico"
  WriteRegStr HKCR "algobox.doc\shell" "" "open"
  WriteRegStr HKCR "algobox.doc\shell\open\command" "" '$INSTDIR\algobox.exe "%1"'
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Algobox" "DisplayName" "Algobox"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Algobox" "UninstallString" "$INSTDIR\uninstall.exe"
  WriteUninstaller "uninstall.exe"
SectionEnd

Section "Shortcuts"
  SetOutPath "$SMPROGRAMS\Algobox"
  CreateShortCut "$SMPROGRAMS\Algobox\Algobox.lnk""$INSTDIR\algobox.exe"
  SetOutPath "$DESKTOP"
  CreateShortCut "$DESKTOP\Algobox.lnk""$INSTDIR\algobox.exe"
SectionEnd

UninstallText "Suppression d'Algobox"

Section "Uninstall"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Algobox"
  Delete "$SMPROGRAMS\Algobox\Algobox.lnk"
  RmDir "$SMPROGRAMS\Algobox"
  Delete "$DESKTOP\Algobox.lnk"
  Delete "$INSTDIR\algobox.exe"
  Delete "$INSTDIR\algobox.ico"
  Delete "$INSTDIR\mingwm10.dll"
  Delete "$INSTDIR\libgcc_s_dw2-1.dll"
  Delete "$INSTDIR\QtCore4.dll"
  Delete "$INSTDIR\QtGui4.dll"
  Delete "$INSTDIR\QtNetwork4.dll"
  Delete "$INSTDIR\QtWebKit4.dll"
  Delete "$INSTDIR\QtXml4.dll"
  Delete "$INSTDIR\QtXmlPatterns4.dll"
  Delete "$INSTDIR\phonon4.dll"
  Delete "$INSTDIR\ressources\qt_fr.qm"
  Delete "$INSTDIR\ressources\eleve_calcul_recurrent.alg"
  Delete "$INSTDIR\ressources\eleve_distance_sur_un_axe.alg"
  Delete "$INSTDIR\ressources\eleve_que_fait_lalgo.alg"
  Delete "$INSTDIR\ressources\eleve_simplification_calculs_enchaines.alg"
  Delete "$INSTDIR\ressources\eleve_simul_lancers_de.alg"
  Delete "$INSTDIR\ressources\prof_babylone.alg"
  Delete "$INSTDIR\ressources\prof_balayage_fonctions.alg"
  Delete "$INSTDIR\ressources\prof_courbe_fonction.alg"
  Delete "$INSTDIR\ressources\prof_decomp_facteurspremiers.alg"
  Delete "$INSTDIR\ressources\prof_dichotomie.alg"
  Delete "$INSTDIR\ressources\prof_ductoscane.alg"
  Delete "$INSTDIR\ressources\prof_euler.alg"
  Delete "$INSTDIR\ressources\prof_integrale_trapezes.alg"
  Delete "$INSTDIR\ressources\prof_montecarlo.alg"
  Delete "$INSTDIR\ressources\prof_pgcd_euclide.alg"
  Delete "$INSTDIR\ressources\prof_somme_entiers.alg"
  Delete "$INSTDIR\ressources\prof_suite_syracuse.alg"
  Delete "$INSTDIR\ressources\prof_tri_abulle.alg"
  Delete "$INSTDIR\ressources\prof_pgcd_recursif.alg"
  Delete "$INSTDIR\ressources\aidealgobox.html"
  Delete "$INSTDIR\ressources\AUTHORS"
  Delete "$INSTDIR\ressources\COPYING"
  Delete "$INSTDIR\ressources\CHANGELOG.txt"
  RmDir "$INSTDIR\ressources"
  RmDir "$INSTDIR"
SectionEnd
